package com.sipai.jspatrol.Bean;

import com.sipai.jspatrol.Patrol.patrolInfoAdapter.PatrolEqu;

import org.litepal.crud.LitePalSupport;

import java.io.Serializable;

/**
 * created by lvliming on 2019/8/12
 */
public class InputPoint extends LitePalSupport implements Serializable {
    private String alarmmax;
    private String alarmmin;
    private String biztype;
    private String sid;
    private String measuredt;
    private String mpointcode;
    private String parmname;
    private String parmvalue;
    private int sel;
    private String signalType;
    private String sql;
    private String unit;
    private String valuemeaning;
    private String where;
    private String pid;
    private String type;
    private String patrolPointId;
    private String patrolRecordId;
    private String equipmentId;
    private String finishDt;
    private ProPatrolPoint proPatrolPoint;
    private PatrolEqu patrolEqu;

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public int getSel() {
        return sel;
    }

    public void setSel(int sel) {
        this.sel = sel;
    }

    public String getValuemeaning() {
        return valuemeaning;
    }

    public void setValuemeaning(String valuemeaning) {
        this.valuemeaning = valuemeaning;
    }

    public String getBiztype() {
        return biztype;
    }

    public void setBiztype(String biztype) {
        this.biztype = biztype;
    }

    public String getMpointcode() {
        return mpointcode;
    }

    public void setMpointcode(String mpointcode) {
        this.mpointcode = mpointcode;
    }

    public String getAlarmmax() {
        return alarmmax;
    }

    public void setAlarmmax(String alarmmax) {
        this.alarmmax = alarmmax;
    }

    public String getAlarmmin() {
        return alarmmin;
    }

    public void setAlarmmin(String alarmmin) {
        this.alarmmin = alarmmin;
    }

    public String getSid() {
        return sid;
    }

    public void setSid(String sid) {
        this.sid = sid;
    }

    public String getMeasuredt() {
        return measuredt;
    }

    public void setMeasuredt(String measuredt) {
        this.measuredt = measuredt;
    }

    public String getParmname() {
        return parmname;
    }

    public void setParmname(String parmname) {
        this.parmname = parmname;
    }

    public String getParmvalue() {
        return parmvalue;
    }

    public void setParmvalue(String parmvalue) {
        this.parmvalue = parmvalue;
    }

    public String getSignalType() {
        return signalType;
    }

    public void setSignalType(String signalType) {
        this.signalType = signalType;
    }

    public String getSql() {
        return sql;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPatrolPointId() {
        return patrolPointId;
    }

    public void setPatrolPointId(String patrolPointId) {
        this.patrolPointId = patrolPointId;
    }

    public String getPatrolRecordId() {
        return patrolRecordId;
    }

    public void setPatrolRecordId(String patrolRecordId) {
        this.patrolRecordId = patrolRecordId;
    }

    public String getEquipmentId() {
        return equipmentId;
    }

    public void setEquipmentId(String equipmentId) {
        this.equipmentId = equipmentId;
    }

    public String getFinishDt() {
        return finishDt;
    }

    public void setFinishDt(String finishDt) {
        this.finishDt = finishDt;
    }

    public String getWhere() {
        return where;
    }

    public void setWhere(String where) {
        this.where = where;
    }

    public ProPatrolPoint getProPatrolPoint() {
        return proPatrolPoint;
    }

    public void setProPatrolPoint(ProPatrolPoint proPatrolPoint) {
        this.proPatrolPoint = proPatrolPoint;
    }

    public PatrolEqu getPatrolEqu() {
        return patrolEqu;
    }

    public void setPatrolEqu(PatrolEqu patrolEqu) {
        this.patrolEqu = patrolEqu;
    }
}
